Subject: bug#78583: closed (Re: bug#78583: 31.0.50; emacs --fg-daemon not protecting frame F1)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Jun 2025 06:57:02 +0000

Your bug report

#78583: 31.0.50; emacs --fg-daemon not protecting frame F1

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78583: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78583
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78583: 31.0.50; emacs --fg-daemon not protecting frame F1
From: martin rudalics <[email-masked]>
To: Madhu <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Sun, 8 Jun 2025 08:55:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

 >> Any reasons not to close this bug now?
 >
 > No, Of course not. (speaking for myself)

Closing.

Thanks, martin

Subject: 31.0.50; emacs --fg-daemon not protecting frame F1
From: Madhu <[email-masked]>
To: [email-masked]
Date: Sun, 25 May 2025 11:05:43 +0530 (IST)
List-Id: <debbugs-submit.debbugs.gnu.org>

$ emacs --fg-daemon=foo &
$ emacsclient -n -c -s foo &

on the graphical frame
1. type M-: (frame-list) ;; two frames
2. C-x 5 1
3. type M-: (frame-list) ;; only one frame. The previous
step shouldn't have deleted Frame F1.

I noticed this on master on (may 10 2025) commit 6699062.

I'm sure this worked on master on feb 13 2025, commit b8c8ae92 but I
couldn't check the previous emacs-31.0.4.x binaries are unusable because
of unrelated elisp changes. --Madhu